> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.trevex.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.trevex.io/_mcp/server.

# Search companies

GET https://api.trevex.io/apis/email/company_search/

Search for existing TREVEX companies by name before submitting a KYB request,
to check for duplicates or retrieve a `companyID`. Returns up to 20 results.


Reference: https://docs.trevex.io/api-reference/lookup/company-search

## Authentication

- `Authorization` header (required) — Pass your API key as `Api-Key <your_api_key>` in the `Authorization` header. API keys are issued per Project by the TREVEX team.

## Servers

- `https://api.trevex.io` (Production, default)
- `https://testapi.trevex.io` (Staging)

## Request

### Query parameters

- `q` (string, required) — Company name search term (case-insensitive, partial match).
- `country_code` (string, optional) — Optional ISO 3166-1 alpha-2 country code filter.

## Response

### 200

Search results.

- `statusCode` (integer, optional)
- `count` (integer, optional)
- `results` (list of CompanySearchResult, optional)

## Types

### CompanySearchResult

- `trevex_company_id` (string, optional)
- `registered_company_name` (string, optional)
- `country_code` (string, optional)
- `is_claimed` (boolean, optional)
- `is_verified` (boolean, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "statusCode": 200,
  "count": 1,
  "results": [
    {
      "trevex_company_id": "TRXAE0000042",
      "registered_company_name": "GreenTech Solutions LLC",
      "country_code": "US",
      "is_claimed": true,
      "is_verified": true
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.trevex.io/apis/email/company_search/"

querystring = {"q":"GreenTech Solutions","country_code":"US"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.trevex.io/apis/email/company_search/?q=GreenTech+Solutions&country_code=US';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.trevex.io/apis/email/company_search/?q=GreenTech+Solutions&country_code=US"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.trevex.io/apis/email/company_search/?q=GreenTech+Solutions&country_code=US")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.trevex.io/apis/email/company_search/?q=GreenTech+Solutions&country_code=US")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.trevex.io/apis/email/company_search/?q=GreenTech+Solutions&country_code=US', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.trevex.io/apis/email/company_search/?q=GreenTech+Solutions&country_code=US");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.trevex.io/apis/email/company_search/?q=GreenTech+Solutions&country_code=US")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```